> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Update quality profile

> PUT /company/{companyId}/quality-profiles/{qualityProfileId}



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID


### Path parameters

- **companyId** (string)

- **qualityProfileId** (integer(int64))



### Body: application/json (object)

- **scoreReporting** (string)

- **qualityThreshold** (array[object])

- **name** (string)

- **id** (integer(int64))

- **version** (integer(int32))

- **configuration** (object)

- **companyId** (string(uuid))

- **createdDate** (string(date-time))



## Responses
### 200
OK

#### Body: */* (object)
- **scoreReporting** (string)

- **qualityThreshold** (array[object])

- **name** (string)

- **id** (integer(int64))

- **version** (integer(int32))

- **configuration** (object)

- **companyId** (string(uuid))

- **createdDate** (string(date-time))



[Powered by Bump.sh](https://bump.sh)
